Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
sauce::internal::ImplicitBinding< Named< Provider< ProvidedDependency >, Name > > Class Template Reference

The implicit Provider binding for bound dependencies. More...

`#include <sauce/internal/implicit_bindings.h>`

## Public Types
typedef ImplicitBindingTraits< i::ImplicitProviderBinding< ProvidedDependency, Name > > | Traits
typedef Traits::ImplicitInjection | ImplicitInjection
typedef Traits::Dependency | Dependency
typedef Traits::BindingPtr | BindingPtr

## Static Public Member Functions
static BindingPtr | get (Concrete const &bindings, std::string const name)

## Detailed Description

### template<typename ProvidedDependency, typename Name>
class sauce::internal::ImplicitBinding< Named< Provider< ProvidedDependency >, Name > >

The implicit Provider binding for bound dependencies.

The documentation for this class was generated from the following file:

- sauce/internal/implicit_bindings.h